//
//  PRCGrayscale.m
//  PRICE
//  Grayscale Conversion Controller
//
//  Created by Riccardo Mottola on Tue Jan 16 2007.
//  Copyright (c) 2007 Carduus. All rights reserved.
//
// This program is free software; you can redistribute it and/or modify it under the terms of the version 2 of the GNU General Public License as published by the Free Software Foundation.
// This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

#import "PRCGrayscale.h"
#import "PRGrayscaleFilter.h"
#import "MyDocument.h"

@implementation PRCGrayscale

- (IBAction)showGrayscale:(id)sender
{
    if (!grayWindow)
        [NSBundle loadNibNamed:@"Grayscale" owner:self];
    [grayWindow makeKeyAndOrderFront:nil];
}

- (IBAction)grayscaleOK:(id)sender
{
    int index;
    int method;

    index = [methodChoice indexOfSelectedItem];
    if (index == 0)
        method = METHOD_AVERAGE;
    else if (index == 1)
        method = METHOD_LUMINANCE;

    [[[NSDocumentController sharedDocumentController] currentDocument] makeGrayscale :method :nil];
    if ([[NSApp delegate] prefClosePanels])
        [grayWindow performClose:nil];
}

- (IBAction)grayscaleCancel:(id)sender
{
    [grayWindow performClose:nil];
}

@end
